Group: Sound
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install ladspa_sdk pkgconfig(alsa)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:      DSSI software synthesizer plugin
Name:         whysynth-dssi
Version:      20120903
Release:      alt2_12
URL:          http://www.smbolton.com/whysynth.html
Source0:      http://www.smbolton.com/whysynth/whysynth-%{version}.tar.bz2
Source2:      whysynth.desktop
Patch0:       whysynth-noinline.patch
License:      GPLv2+

BuildRequires: desktop-file-utils
BuildRequires: dssi-devel
BuildRequires: gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel
BuildRequires: libfftw3-devel
BuildRequires: gcc
BuildRequires: liblo-devel

Requires:     dssi
Requires:     icon-theme-hicolor
Source44: import.info



%description
WhySynth is a versatile softsynth which operates as a plugin for the Disposable
Soft Synth Interface (DSSI).

%prep
%setup -q -n whysynth-%{version}
%patch0 -p1 -b .noinline

%build
%configure

%make_build

%install
make install DESTDIR="$RPM_BUILD_ROOT" INSTALL="install -p"
mkdir -p $RPM_BUILD_ROOT%{_bindir}
pushd $RPM_BUILD_ROOT%{_bindir}
ln -s jack-dssi-host whysynth
popd

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install           \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
  %{SOURCE2}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -pm 644 extra/whysynth-icon-32x32.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/whysynth.png

%files
%doc AUTHORS ChangeLog COPYING doc README TODO extra/COPYING-patches
%{_datadir}/whysynth
%{_bindir}/whysynth
%{_libdir}/dssi/*
%exclude %{_libdir}/dssi/whysynth.la
%{_datadir}/applications/whysynth.desktop
%{_datadir}/icons/hicolor/32x32/apps/whysynth.png

%changelog
* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 20120903-alt2_12
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 20120903-alt2_11
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 20120903-alt1_11
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 20120903-alt1_10
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 20120903-alt1_9
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 20120903-alt1_8
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 20120903-alt1_7
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 20120903-alt1_6
- update to new release by fcimport

* Mon Feb 05 2018 Igor Vlasenko <viy@altlinux.ru> 20120903-alt1_5
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 20120903-alt1_4
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 20120903-alt1_2
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 20120903-alt1_1
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 20120729-alt2_6
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 20120729-alt2_5
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 20120729-alt2_4
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 20120729-alt2_3
- update to new release by fcimport

* Fri Jun 21 2013 Cronbuild Service <cronbuild@altlinux.org> 20120729-alt2_2
- rebuild to get rid of unmets

* Tue Mar 26 2013 Igor Vlasenko <viy@altlinux.ru> 20120729-alt1_2
- import

